Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5557 - NFS Gnome Workstation install fails
Summary: NFS Gnome Workstation install fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-05 02:39 UTC by sean
Modified: 2015-01-07 23:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-20 18:48:13 UTC


Attachments (Terms of Use)

Description sean 1999-10-05 02:39:40 UTC
Installing from an NFS exported image of the RH 6.1 i386 ISO
and the included bootnet.img floppy image.

On an old test machine that had a failed Lorax install I was
performing a graphical install and selected Gnome
Workstation.  As soon as it formatted / and tried to install
packages it dropped out of X and I got the following error
on TTY1:

[standard XFree86 startup lines]
error opening security policy file
/usr/X11R6/lib/X11/xserver/SecurityPolicy
  File "/usr/bin/anaconda", line 174
    fromthod[0:6] == "ftp://" or method[0:7] == "http://"):

Syntax Error: invalid syntax
install exited abnormally -- received signal 7
sending termination signals...done
sending kill signals...done
unmounting filesystems...
       /mnt/sysimage/boot
       /mnt/sysimage/proc
       /mnt/sysimage/
       /mnt/source
       /dev/pts
       /proc
you may safely reboot your system

I checked for the existance of the SecurityPolicy file it
mentioned but I don't even have the xserver directory on my
ISO image.

Any thoughts?

Comment 1 Jeremy Katz 1999-10-10 05:57:59 UTC
The security policy error is a red herring, stemming from the fact
that the full X distribution isn't in the install image.  The problem
is instead that the install method is being set to ftp/http instead of
nfs somehow... Was this repeatable?

Comment 2 sean 1999-10-13 22:51:59 UTC
I finally got time to try the install on that machine again.  Used the
same install options.  No problems this time.  Weird.  Sorry for the
bother, I say close the ticket.

Comment 3 Jay Turner 1999-10-20 18:48:59 UTC
Closing ticket at poster's request.


Note You need to log in before you can comment on or make changes to this bug.